Foreman - Bug #8786

Override button is gone and won't be back
12/23/2014 07:39 AM - b sh

Status: Closed
Priority: Normal
Assignee: b sh
Category: Web Interface
Target version: 1.7.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/’2047
Description

Once the override button in the Parameters tab is clicked, it won't be restore.
[version 1.5 and 1.8-develop]

Walkthrough:

1) Create a host-group with a parameter

2) Edit one of the hosts

3) Set its host-group to the one you've just created

4) Choose the Parameters tab

5) Click on "Override" button next to that parameter

6) Click on the "X remove"

7) If you change your mind and want to override that parameter, you cannot do that unless you refresh

Related issues:
Related to Foreman - Bug #4424: Strikeout of Puppet Class Properties when Ove... Closed

02/24/2014

Associated revisions

Revision 90b00443 - 01/05/2015 06:10 AM - B Sh

Fixes #8786 - Show override button after removing overridden parameter
After a parameter is overridden in a host or host group, if one wants to
revert the decision and return to the inherited parameter, it was

necessary to reload the page after clicking on remove. This commit
fixes that by making it show the override button again without reloading.

Revision 886b2c46 - 01/27/2015 10:55 AM - B Sh

Fixes #8786 - Show override button after removing overridden parameter
After a parameter is overridden in a host or host group, if one wants to
revert the decision and return to the inherited parameter, it was
necessary to reload the page after clicking on remove. This commit

fixes that by making it show the override button again without reloading.

(cherry picked from commit 90b00443a6fe27366d6a17572b8b0a41b4dcab97)

History

#1 - 01/02/2015 05:02 AM - Dominic Cleal
- Related to Bug #4424: Strikeout of Puppet Class Properties when Overriding on Node not working added

#2 - 01/04/2015 03:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2047 added
- Pull request deleted ()
#3 - 01/05/2015 06:15 AM - Dominic Cleal

- translation missing: en.field_release set to 30

#4 - 01/05/2015 07:01 AM - B Sh
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 90b00443a6fe27366d6a17572b8b0a41b4dcab97.
